package org.seasar.quartz;

import junit.framework.TestCase;

public class DelegatingJobDetailTest extends TestCase {

    public void testConstructor() {
	DelegatingJobDetail delegatingJobDetail = new DelegatingJobDetail();
	assertEquals("DEFAULT", delegatingJobDetail.getGroup());
	assertEquals(DelegatingJobProxy.class, delegatingJobDetail.getJobClass());
    }

    public void testSetComponentKey() {
	DelegatingJobDetail delegatingJobDetail = new DelegatingJobDetail();
	delegatingJobDetail.setJobComponentKey("testJobComponentKey");
	assertEquals("testJobComponentKey", delegatingJobDetail.getJobDataMap().get("org.seasar.quartz.jobComponentKey"));
    }

    public void testSetStateful() {
	DelegatingJobDetail delegatingJobDetail = new DelegatingJobDetail();
	delegatingJobDetail.setStateful(true);
	assertEquals(StatefulDelegatingJobProxy.class, delegatingJobDetail.getJobClass());

	delegatingJobDetail.setStateful(false);
	assertEquals(DelegatingJobProxy.class, delegatingJobDetail.getJobClass());
    }
}
